Patch Bundle Offer
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"type": "fixed",
"discount": 19,
"max_uses_per_cart": 27,
"priority": 83,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": false,
"items": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"type": "fixed",
"discount": 19,
"max_uses_per_cart": 27,
"priority": 83,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": False,
"items": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
type: 'fixed',
discount: 19,
max_uses_per_cart: 27,
priority: 83,
starts_at: '2012-05-28',
ends_at: '2012-05-28',
enabled: false,
items: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'type' => 'fixed',
'discount' => 19,
'max_uses_per_cart' => 27,
'priority' => 83,
'starts_at' => '2012-05-28',
'ends_at' => '2012-05-28',
'enabled' => false,
'items' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"type\": \"fixed\",\n \"discount\": 19,\n \"max_uses_per_cart\": 27,\n \"priority\": 83,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": false,\n \"items\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"type\": \"fixed\",\n \"discount\": 19,\n \"max_uses_per_cart\": 27,\n \"priority\": 83,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": false,\n \"items\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"type\": \"fixed\",\n \"discount\": 19,\n \"max_uses_per_cart\": 27,\n \"priority\": 83,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": false,\n \"items\": null\n}"
response = http.request(request)
puts response.read_bodyBundle Offers
Patch Bundle Offer
Changes only the fields you send. Fields you leave out keep their current value, and null clears a field. Items stay as they are unless you send them.
PATCH
/
v1
/
shops
/
{shopId}
/
bundle-offers
/
{offerId}
Patch Bundle Offer
curl --request PATCH \
--url https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"type": "fixed",
"discount": 19,
"max_uses_per_cart": 27,
"priority": 83,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": false,
"items": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"type": "fixed",
"discount": 19,
"max_uses_per_cart": 27,
"priority": 83,
"starts_at": "2012-05-28",
"ends_at": "2012-05-28",
"enabled": False,
"items": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
type: 'fixed',
discount: 19,
max_uses_per_cart: 27,
priority: 83,
starts_at: '2012-05-28',
ends_at: '2012-05-28',
enabled: false,
items: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'type' => 'fixed',
'discount' => 19,
'max_uses_per_cart' => 27,
'priority' => 83,
'starts_at' => '2012-05-28',
'ends_at' => '2012-05-28',
'enabled' => false,
'items' => null
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"type\": \"fixed\",\n \"discount\": 19,\n \"max_uses_per_cart\": 27,\n \"priority\": 83,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": false,\n \"items\": null\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"type\": \"fixed\",\n \"discount\": 19,\n \"max_uses_per_cart\": 27,\n \"priority\": 83,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": false,\n \"items\": null\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/bundle-offers/{offerId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"type\": \"fixed\",\n \"discount\": 19,\n \"max_uses_per_cart\": 27,\n \"priority\": 83,\n \"starts_at\": \"2012-05-28\",\n \"ends_at\": \"2012-05-28\",\n \"enabled\": false,\n \"items\": null\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
Body
application/json
Response
200